commit:     af4407a4751edbcb7a3c20bc6e194a9208d872f1
Author:     Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
AuthorDate: Thu Jul  6 00:10:07 2023 +0000
Commit:     Anna Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
CommitDate: Sun Jul  9 01:24:33 2023 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=af4407a4

dev-crystal/exception_page: add 0.3.1

Signed-off-by: Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq.in>

 dev-crystal/exception_page/Manifest                |  1 +
 .../exception_page/exception_page-0.3.1.ebuild     | 30 ++++++++++++++++++++++
 2 files changed, 31 insertions(+)

diff --git a/dev-crystal/exception_page/Manifest 
b/dev-crystal/exception_page/Manifest
index b93e41cee..9df765e16 100644
--- a/dev-crystal/exception_page/Manifest
+++ b/dev-crystal/exception_page/Manifest
@@ -1 +1,2 @@
 DIST exception_page-0.3.0.tar.gz 11056 BLAKE2B 
b9a6d7b53282a022ed7a2cc4597dbd93478b0eb526e5e74893bfa7d902623c851e60665013ece1bfaa760f189a2fb1fe8bd26f2c976723d54d06fee6771eb269
 SHA512 
a77692f859d8cbc15c226a56b2f395b26932fbbe176b374af4fad0142c387a651af75b3f1ba47b9f58f612d1394c09a1baf0e97a02f3753abb1006b9560fb081
+DIST exception_page-0.3.1.tar.gz 11099 BLAKE2B 
51e62c4aff40d70dc31178c190c3de7ae3484620e61cdeee1e5219ff4cbe6c645e2181a6e121dd884239e64e5c3a6191c85560e683e3db0fcd5da7de5b15de58
 SHA512 
68218b5b4d21fdd1e5739e196db9022cb702c59913258b319a370e21a0523c6146d41b9fe6bc4d125f428acd6913b118f0a0e3d3e70d00a97150cbc9d9967fe7

diff --git a/dev-crystal/exception_page/exception_page-0.3.1.ebuild 
b/dev-crystal/exception_page/exception_page-0.3.1.ebuild
new file mode 100644
index 000000000..e3615aee9
--- /dev/null
+++ b/dev-crystal/exception_page/exception_page-0.3.1.ebuild
@@ -0,0 +1,30 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit shards
+
+DESCRIPTION="A library for displaying exceptional exception pages for easier 
debugging"
+HOMEPAGE="https://github.com/crystal-loot/exception_page";
+SRC_URI="https://github.com/crystal-loot/${PN}/archive/refs/tags/v${PV}.tar.gz 
-> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="dev-crystal/backtracer"
+BDEPEND="
+       test? (
+               dev-crystal/lucky_flow
+       )
+"
+
+src_prepare() {
+       default
+
+       # test error, related to lucky_flow ('be_on_page' method)
+       rm spec/exception_page_spec.cr || die
+}

Reply via email to